int count = 2;

class A
	begin
		int x = count++;
		int y = x * x;
	end
	
class B extends A
	begin
		int z;
		z = x * y;
		void print()
			begin
				printf( "x = %d, y = %d, z = %d\n", x, y, z );
			end
	end

B p, q, r;
p.print();
q.print();
r.print();

